Requires authorization
Retrieves entities in SDF format. Try it now.
Request
HTTP request
POST https://www.googleapis.com/doubleclickbidmanager/v1/sdf/download
Authorization
This request requires authorization with the following scope (read more about authentication and authorization).
| Scope |
|---|
https://www.googleapis.com/auth/doubleclickbidmanager |
Request body
In the request body, supply data with the following structure:
{
"fileTypes": [
string
],
"filterType": string,
"filterIds": [
long
],
"version": string
}
| Property name | Value | Description | Notes |
|---|---|---|---|
fileTypes[] |
list |
File types that will be returned. If INVENTORY_SOURCE is requested, no other file types may be requested. Acceptable values are:
|
|
filterType |
string |
Filter type used to filter entities to fetch. PARTNER_ID and INVENTORY_SOURCE_ID may only be used when downloading inventory sources.
Acceptable values are:
|
|
filterIds[] |
list |
The IDs of the specified filter type. This is used to filter entities to fetch. At least one ID must be specified. Only one ID is allowed for the ADVERTISER_ID filter type. For INSERTION_ORDER_ID or LINE_ITEM_ID filter types all IDs must be from the same Advertiser. |
|
version |
string |
SDF Version (column names, types, order) in which the entities will be returned. Default to 3.1. |
Response
If successful, this method returns a response body with the following structure:
{
"campaigns": string,
"insertionOrders": string,
"lineItems": string,
"adGroups": string,
"ads": string,
"inventorySources": string
}
| Property name | Value | Description | Notes |
|---|---|---|---|
insertionOrders |
string |
Retrieved insertion orders in SDF format. | |
lineItems |
string |
Retrieved line items in SDF format. | |
adGroups |
string |
Retrieved ad groups in SDF format. | |
ads |
string |
Retrieved ads in SDF format. | |
campaigns |
string |
Retrieved campaigns in SDF format. | |
inventorySources |
string |
Try it!
Use the APIs Explorer below to call this method on live data and see the response. Alternatively, try the standalone Explorer.